VSTGUI: MenuBuilderAdapter Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
MenuBuilderAdapter Class Reference
Standalone Library

Menu builder adapter. More...

`#include <menubuilder.h>`

Inheritance diagram for MenuBuilderAdapter:

## Public Member Functions
bool | showCommandGroupInMenu (const Interface &context, const UTF8String &group) const override
| should the command group be visible in the menu
bool | showCommandInMenu (const Interface &context, const Command &cmd) const override
| should the command be visible in the menu
SortFunction | getCommandGroupSortFunction (const Interface &context, const UTF8String &group) const override
| return command group sort function
bool | prependMenuSeparator (const Interface &context, const Command &cmd) const override
| should a menu separator prepend a command
Public Member Functions inherited from Interface
virtual | ~Interface () noexcept
| Interface ()=default
| Interface (const Interface &)=delete
| Interface (Interface &&)=delete
Interface & | operator= (const Interface &)=delete
Interface & | operator= (Interface &&)=delete
template<typename T>
const auto | dynamicCast () const
template<typename T>
auto | dynamicCast ()

## Additional Inherited Members
Public Types inherited from IMenuBuilder
using | SortFunction = std::function<bool (const UTF8String& lhs, const UTF8String& rhs)>

## Detailed Description

Menu builder adapter.

## Member Function Documentation

## ◆ getCommandGroupSortFunction()

SortFunction getCommandGroupSortFunction | ( | const Interface & | context,
|  | const UTF8String & | group ) const
| inlineoverridevirtual

return command group sort function

Parameters

  context | either an IApplication or IWindow instance
  group | group name

Returns
  if you want to sort the menu return a SortFunction otherwise return nullptr

Implements IMenuBuilder.

## ◆ prependMenuSeparator()

bool prependMenuSeparator | ( | const Interface & | context,
|  | const Command & | cmd ) const
| inlineoverridevirtual

should a menu separator prepend a command

Parameters

  context | either an IApplication or IWindow instance
  cmd | command

Returns
  true if a menu separator should be prepended before the command

Implements IMenuBuilder.

## ◆ showCommandGroupInMenu()

bool showCommandGroupInMenu | ( | const Interface & | context,
|  | const UTF8String & | group ) const
| inlineoverridevirtual

should the command group be visible in the menu

Parameters

  context | either an IApplication or IWindow instance
  group | group name

Returns
  true for visible or false for invisible

Implements IMenuBuilder.

Reimplemented in NoMenuBuilder.

## ◆ showCommandInMenu()

bool showCommandInMenu | ( | const Interface & | context,
|  | const Command & | cmd ) const
| inlineoverridevirtual

should the command be visible in the menu

Parameters

  context | either an IApplication or IWindow instance
  cmd | command

Returns
  true for visible or false for invisible

Implements IMenuBuilder.

Reimplemented in NoMenuBuilder.

The documentation for this class was generated from the following file:

- menubuilder.h